## software-center 1.0.2

=== debian/changelog ===
software-center (1.0.2) karmic; urgency=low

  * debian/triggers:
    - trigger on language-pack updates to ensure we get updated
      translations on app-install-data-ubuntu into the xapian
      database  (LP: #456459)
  * utils/update-software-center:
    - when triggered from a langpack update compare mo file
      time in order to prevent unneeded updates

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Oct 2009 11:24:07 +0200

software-center (1.0.1) karmic; urgency=low

  * debian/control:
    - update vcs link to lp:~ubuntu-core-dev/software-center/karmic
  * softwarecenter/view/dialogs.py:
    - merge fix from Andrew Higginson for modal dialog bug (#455327)
  * softwarecenter/view/appdetailsview.py:
    - do not crash if gconfd is not running (LP: #452559)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Oct 2009 15:04:14 +0200

software-center (1.0) karmic; urgency=low

  * softwarecenter/view/appdetailsview.py:
    - use screenshots.ubuntu.com as screenshot url
  * softwarecenter/view/catview.py:
    - do not crash for unavailable categories with <OnlyUnallocated>
      (LP: #451922)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Oct 2009 18:35:58 +0200

software-center (0.5.2) karmic; urgency=low

  [ Michael Vogt ]
  * softwarecenter/view/appdetailsview.py:
    - deal with connection refused errors properly
    - use shorter default socket timeout to avoid hangs when
      the screenshot site is unavailable
  * softwarecenter/db/database.py:
    - require explicit open() to avoid possible race (LP: #449385)
  * softwarecenter/view/widgets/imagedialog.py:
    - fix crash when unknown error happend during screenshot download
      (LP: #4479829)
  * data/ui/SoftwareCenter.ui:
    - change unicode "..." to three "." to work around bug in 
      gtkbuilder/intltool that makes strings with them untranslatable
      (https://bugzilla.gnome.org/show_bug.cgi?id=596205) (LP: #450600)
  * po/*:
    - sync from rosetta and unfuzzy the strings that move
      from &#2026; to "..." (LP: #450600)
  * softwarecenter/view/catview.py
    - do not crash if a desktop-directory can not be foudn or is
      invalid (LP: #450842)
  * utils/update-software-center:
    - do not crash if glib is not available (e.g. during a upgrade)
      (LP: #450793)
  * install the softwarecenter-installed emblem into a private dir
    to make not show up in the nautilus emblems folder (LP: #437385)
  
  [ Josh Holland ]
  * Fixed up man page (LP: #448896)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Oct 2009 11:51:26 +0200

software-center (0.5.1) karmic; urgency=low

  * icon updates from Kenneth Wimer 
  * softwarecenter/db/update.py: 
    - fix index bug in pkgname handling
  * make screenshots scrollable (LP: #439420)
  * fix reopen() handling by not using xapian.Database.reopen()
    but instead do a full open of the db (LP: #430603)
  * softwarecenter/view/appdetailsview.py:
    - add support for http proxies (LP: #446069)
    - fix crash in cdrom handling (LP: #446269)
    - do not show error when a transaction is cancelt 
      (LP: #440941)
  * softwarecenter/view/widgets/imagedialog.py:
    - change default window size to match the default image
      size from screenshots.debian.net (LP: #445938)
  * debian/control:
    - depend on the latest aptdaemon for working proxy support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Oct 2009 18:25:10 +0200

software-center (0.5.0) karmic; urgency=low

  * softwarecenter/db/update.py:
    - when using getdefaultlocale() change the order of the environment
      variable that are checked to 'LANGUAGE','LANG','LC_CTYPE','LC_ALL'
      LP: #444316
  * add support RTL in the webkit widgets
  * Merged from Matthew McGowan:
    - better integration of the arrow button with the used theme
    - update arrow button when style changes (supports high contrast
      themes and somesuch now too)
    - support RTL langauges with the arrow button
    - new pathbar can be activated via SOFTWARE_CENTER_NEW_PATHBAR=1
      in the environment (not used by default)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 07 Oct 2009 15:52:40 +0200

software-center (0.4.6) karmic; urgency=low

  * debian/control:
    - add versionized dependency to aptdaemon (needs some of the
      latest API for the async calls) LP: #444218
  * softwarecenter/view/pendingview.py:
    - display the operation (Install Packages, Remove Packages,
      Applying Changes) for operations that come from outside 
      software-center (LP: #444254)
  * softwarecenter/app.py:
    - do not crah on corrupted database
  * utils/update-software-center:
    - ignore if dbus can not be imported (e.g. because we are in 
      the middle of a upgrade and python packages are unavailable)
      LP: #443177)
    - do not show full stacktrace if dbus is not available 
      (LP: #444089)
    - add a small delay between dubs rebuild signal and actual rebuild
      (LP: #438639)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 Oct 2009 11:27:09 +0200

software-center (0.4.5) karmic; urgency=low

  * softwarecenter/view/appdetailsview.py:
    - avoid blocking if the authentication dialog comes up 
      (LP: #436413)
  * softwarecenter/view/appdetailsview.py:
    - switch to use urls that return 404 if a package has no
      screenshot
  * softwarecenter/view/widgets/imagedialog.py,
    softwarecenter/view/appdetailsview.py:
    - merge lp:~mvo/software-center/ubuntu-404 that implements 404 
      handling and show ubuntu branded dummy image (LP: #425874)
  * softwarecenter/view/appview.py:
    - support environment to switch sorting for searches:
      SOFTWARE_CENTER_SEARCHES_SORT_MODE={popcon,alphabetic,xapian}
      (to be able to test the different mode quickly)
  * softwarecenter/view/appdetailsview.py:
    - fix crash when no icon can be found (LP: #442040, LP: #440306)
  * softwarecenter/view/catview.py:
    - do not crash if no icon can be found (LP: #441171)


## software-center 3.0.12

=== test/Makefile ===
#!/usr/bin/make

all: check # mago_test

check:
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    if [ -f $$file ]; then \
		echo "Testing $$file"; \
	    	python $$file ; \
	    fi \
	done

mago_test:
	MAGO_SHARE=./mago/ mago -f basic.xml
	#MAGO_SHARE=./mago/ mago --log-level=debug -f basic.xml

## software-center 1.0.3

=== debian/changelog ===
software-center (1.0.3) karmic-proposed; urgency=low

  * Fix warning when removing software that other software depends
    on for non-english locales (LP: #486474)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Jan 2010 10:27:20 +0100

=== debian/control ===
Source: software-center
Section: gnome
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
	       lsb-release,
               gettext,
               intltool,
               python,
               python-central,
               python-distutils-extra,
	       python-setuptools
Standards-Version: 3.8.3
XS-Python-Version: current
Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/karmic

Package: software-center
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         app-install-data (>= 0.4.0),
         gnome-icon-theme,
	 gnome-menus,
	 python-xapian,
         python-apt (>= 0.7.13),
	 python-aptdaemon,
	 python-aptdaemon-gtk,
         python-dbus,
	 policykit-1,
	 policykit-1-gnome | policykit-1-qt,
         python-gtk2,
	 python-webkit,
	 python-sexy,
	 python-gconf,
	 aptdaemon (>= 0.10+bzr259)
Recommends: lsb-release
Conflicts: software-store
Replaces: software-store
Provides: software-store
XB-Python-Version: ${python:Versions}
Description: Utility for browsing, installing, and removing applications
 The Ubuntu Software Center lets you browse and install thousands of 
 free applications available for Ubuntu. You can view available 
 applications by category, or search quickly by name or description. 
 You can also examine the applications already installed, and remove
 those you no longer need.
 .
 To install or remove software using the Center, you need administrator
 access on the computer.

=== debian/rules ===
#!/usr/bin/make -f
share:=usr/share/software-center

%:
	dh --with=python-central $@

# Install the modules in a private directory, as our applications are the
# only ones using them.
override_dh_auto_install:
	dh_auto_install -- --install-lib /usr/share/software-center
	rm -r debian/software-center/usr/share/software-center/*.egg-info
	# Move the scripts to $(SHARE) and relink them again later.
	mv debian/software-center/usr/*bin/* debian/software-center/$(share)
	rmdir debian/software-center/usr/*bin
	dh_link $(share)/software-center usr/bin/software-center \
	        $(share)/update-software-center usr/sbin/update-software-center
	# Remove empty directories.
	find debian/software-center/usr -type d -empty -delete

.PHONY: override_dh_auto_install

## software-center 2.0.2

=== debian/changelog ===
software-center (2.0.2) lucid; urgency=low

  * softwarecenter/view/appview.py:
    - improve responsiveness of the listview by caching the 
      rendered icons (LP: #556290)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 18 Apr 2010 13:42:50 +0200

software-center (2.0.1) lucid; urgency=low

  [ Olivier Tilloy ]
  * When computing the size of a PathPart, always set the requested height
    of the parent PathBar. This prevents the navigation bar from
    "disappearing" (its height was somehow set to 1) (LP: #564042)

  [ Michael Vogt ]
  * cherry r730 lp:~mmcg069/software-center/minor-change/changes:
    - fix CellRendererAppView text rendering when using hicolor gtk theme
    (LP: #564694)
  * softwarecenter/view/viewswitcher.py:
    - fix displaying duplicated entries in the partner channel
      (LP: #564789)
  * softwarecenter/view/availablepane.py, 
    softwarecenter/view/channelpane.py,
    softwarecenter/view/installedpane.py:
    - only send size information signals if we actually have a model
      (LP: #564756)
  * softwarecenter/view/availablepane.py:
    - if we get a "search-terms-changed" signal while in the applicatin
      details page it got delivered asynchronously and must be discarded
      (LP: #563524)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Apr 2010 23:27:14 +0200

software-center (2.0) lucid; urgency=low

  [ Michael Vogt ]
  * softwarecenter/view/channelpane.py:
    - fix crash when gdk window is not (yet) available (LP: #560320)
  * softwarecenter/view/appdetailsview.py, 
    softwarecenter/distro/__init__.py,
    softwarecenter/distro/Ubuntu.py:
    - do not show "Free" for packages from the partner repository, we 
      don't know the status of the freeness there (LP: #552830)
  * merged lp:~vish.../software-center/avoidmonochromeicon, many thanks
  * re-enable action button if confirm dialog got canceled (LP: #562810)
  * merged lp:~zkrynicki/software-center/improve-html, many thanks
    (final bits for LP: #455320), add simple test

  [ Matthew McGowan ]
  * softwarecenter/view/availablepane.py:
    - ensure we have a model before sending changed signal (LP: #560967)
  * softwarecenter/view/dialogs.py:
    - ensure image size does not grow out of proportion (LP: #560021)
  * softwarecenter/view/appview.py:
    - make rows more dynamic (LP: #557798)
  * softwarecenter/view/widgets/pathbar_gtk_atk.py:
    - fix resizing bugs in style-set events

  [ Gary Lasker ]
  * softwarecenter/view/navhistory.py:
    - clear forward navigation history items from the
      stack on an direct navigation, fixes regression
      (LP: #563128) 
  * softwarecenter/view/channelpane.py:
    - ensure we have a model before sending app-list-changed
      signal (LP: #560716)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Apr 2010 01:25:12 +0200

software-center (1.1.26) lucid; urgency=low

  [ Gary Lasker ]
  * softwarecenter/app.py,
    softwarecenter/view/softwarepane.py:
    - correctly refresh the availablepane view on a
      change to software sources (LP: #559539)
  * softwarecenter/app.py,
    softwarecenter/view/availablepane.py,
    softwarecenter/view/navhistory.py:
    - clear navigation history on a software channel refresh
      because packages in the history stack might no longer
      be available
  
  [ Michael Vogt ]
  * softwarecenter/view/appdetailsview.py:
    - fix displaying removal warning when listview interface buttons
      are used (LP: #561018)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Apr 2010 22:57:30 +0200

software-center (1.1.25) lucid; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/viewswitcher.py:
    - fix intermittent AttributeError if a model doesn't
      exist when checking node expanded state (LP: #554388)
  * softwarecenter/view/viewswitcher.py:
    - fix nasty list view errors when disabling partner
      repository (LP: #556995)
  * softwarecenter/view/appview.py:
    - fix intermittent AttributeError in row selection
      (LP: #552224)
  * softwarecenter/view/availablepane.py:
    - fix double call to set_category method
  * softwarecenter/view/channelpane.py,
    softwarecenter/view/installedpane.py:
    - fix bug where clicking the "Search Results" navigation
      button in the "Installed View" or in a PPA/channel
      view has no effect (LP: #559732)
  * softwarecenter/view/channelpane.py:
    - fix bug where selecting a new PPA/channel while
      a search is in effect in the current PPA/channel
      does not display the new PPA/channel (LP: #559742)
  
  [ Michael Vogt ]
  * softwarecenter/apt/aptcache.py:
    - add file monitor to detect changes in the dpkg status
      when apt is run outside of software-center (LP: #432555)
  * softwarecenter/view/appdetailsview.py:
    - only show "needs updating" message if we have a component
      associated with the software-item (LP: #542892)
  * softwarecenter/db/database.py:
    - when we have no package and no information no how to get it, 
      display unavailable message instead of a empty summary line
  * merged lp:~mmcg069/software-center/pathbar-atk
    - this makes the pathbar on top fully accessible with e.g.
      orca (LP: #526384). Also fixes intermittent TypeError bug
      (LP: #558895) and nav button visual artifact when selecting
      a channel (LP: #531724).  Many thanks!
  * softwarecenter/view/appview.py:
    - avoid blocking if a operation takes long

  [ Zygmunt Krynicki ]
  * softwarecenter/view/appdetailsview.py:
    - use package name when application name is not available (LP: #549011)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 10 Apr 2010 16:29:10 +0200

software-center (1.1.24) lucid; urgency=low

  [ Michael Vogt ]
  * softwarecenter/view/appview.py:
    - make the applist better accessible by providing a text only
      description of the selected item (LP: #455307)
  * data/templates/AppDetailsView.html:
    - make the app details view better accessible with orca/accersier

  [ Gary Lasker ]


=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                python,
                python-central,
                python-distutils-extra,
-	       python-setuptools
+	       python-setuptools,
+	       po4a
 Standards-Version: 3.8.3
 XS-Python-Version: current
-Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/karmic
+Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/trunk
 
 Package: software-center
 Architecture: all
@@ -22,18 +23,17 @@
          gnome-icon-theme,
 	 gnome-menus,
 	 python-xapian,
-         python-apt (>= 0.7.13),
-	 python-aptdaemon,
+         python-apt (>= 0.7.13.4ubuntu3),
+	 python-aptdaemon (>= 0.11+bzr342),
 	 python-aptdaemon-gtk,
          python-dbus,
 	 policykit-1,
-	 policykit-1-gnome | policykit-1-qt,
+	 policykit-1-gnome | policykit-1-kde,
          python-gtk2,
 	 python-webkit,
-	 python-sexy,
 	 python-gconf,
-	 aptdaemon (>= 0.10+bzr259)
-Recommends: lsb-release
+	 aptdaemon (>= 0.11+bzr322)
+Recommends: lsb-release, python-launchpad-integration, apt-xapian-index, update-notifier
 Conflicts: software-store
 Replaces: software-store
 Provides: software-store
@@ -47,3 +47,11 @@
  .
  To install or remove software using the Center, you need administrator
  access on the computer.
+
+Package: gnome-app-install
+Architecture: all
+Depends: software-center
+Section: oldlibs
+Description: dummy upgrade package for gnome-app-install -> software-center
+ This is a transitional package so that gnome-app-install users get
+ software-center on upgrades. It can be safely removed.

## software-center 2.0.4

=== debian/changelog ===
software-center (2.0.4) lucid-proposed; urgency=low

  * Re-claim used memory after updating an existing AppStore with a 
    new one (LP: #577540), thanks to Olivier Tilloy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 May 2010 23:32:56 +0200

software-center (2.0.3) lucid-proposed; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - updated Vcs-Bzr location to point to lucid branch
  * softwarecenter/apt/aptcache.py:
    - fix flickering when a application is instaleld (LP: #563163)

  [ Olivier Tilloy ]
  * data/templates/AppDetailsView.html:
    - fix missing padding for small details window sizes (LP: #560026)
  * softwarecenter/view/widgets/searchentry.py:
   - Set the search entry's text color to black when not empty.
     This makes it readable on dark themes with a light text color by  
     default (LP: #500174)
  * softwarecenter/app.py:
    - avoid 100% usage when waiting for software-sources to finish
      (LP: #459521)
  * softwarecenter/view/navhistory.py:
    - keep the search terms updated to ensure the navigation history
      always has the latest used search terms (LP: #537512)

  [ Kiwinote ]
  * data/featured.menu.in:
    - Update featured applications list per Desktop team (LP: #548534)
    - Feature 'fretsonfire-game' rather than 'fretsonfire' (LP: #538646)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Apr 2010 19:06:44 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	       po4a
 Standards-Version: 3.8.3
 XS-Python-Version: current
-Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/trunk
+Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/lucid
 
 Package: software-center
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
share:=usr/share/software-center

%:
	dh --with=python-central $@

# Install the modules in a private directory, as our applications are the
# only ones using them.
override_dh_auto_install:
	dh_auto_install -- --install-lib /usr/share/software-center
	rm -r debian/tmp/usr/share/software-center/*.egg-info
	# Move the scripts to $(SHARE) and relink them again later.
	mv debian/tmp/usr/*bin/* debian/tmp/$(share)
	rmdir debian/tmp/usr/*bin
	dh_link $(share)/software-center usr/bin/software-center \
	        $(share)/update-software-center usr/sbin/update-software-center
	# Remove empty directories.
	find debian/tmp/usr -type d -empty -delete
	dh_install --fail-missing

.PHONY: override_dh_auto_install

## software-center 2.0.7

=== debian/changelog ===
software-center (2.0.7) lucid-proposed; urgency=low

  * softwarecenter/view/viewswitcher.py:
    - fix crash if partner channel cannot be detected
      (LP: #606452)

 -- Gary Lasker <gary.lasker@canonical.com>  Sat, 17 Jul 2010 01:35:07 -0400

software-center (2.0.6) lucid-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/viewswitcher.py:
    - only reselect a channel node when a model is available
      (LP: #578497)
  
  [ Michael Vogt ]
  * softwarecenter/view/viewswitcher.py:
    - remove specal cases for partner now that soyuz 
      LP: #552560 is fixed (LP: #604693)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Jul 2010 18:01:38 +0200

software-center (2.0.5) lucid-proposed; urgency=low

  [ Olivier Tilloy ]
  * Fix the database update when run with a Turkish locale 
    (patch by M. Vefa Bicakci). LP: #581207
  
  [ Michael Vogt ]
  * softwarecenter/view/installedpane.py:
    - do not crash if model is None (LP: #586306)

  [ Matthew McGowan ]
  * Fix draw artifacts in the back/forward buttons when the widgets
    are resized (lp:~mmcg069/software-center/backforward-redraw-fix)
    Fixes LP: #582143

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 May 2010 09:44:05 +0200

## software-center 2.0.7debian7

=== debian/changelog ===
software-center (2.0.7debian7) unstable; urgency=low

  * po: Fix cases where the translation of 'Software Center' contains
    'Ubuntu', and replace all mentions of 'Ubuntu' in the translations
    of 'Provided by Debian' by 'Debian' (and unfuzzy them).
  * Fix cases where translations of categories do not appear (Closes: #602026)
  * Bring back license information by removing a hard-coded Ubuntu check,
    Closes: #603782

 -- Julian Andres Klode <jak@debian.org>  Wed, 24 Nov 2010 17:37:20 +0100

software-center (2.0.7debian6) unstable; urgency=low

  * Fallback to applications-other icon if the requested icon is
    not available (Closes: #592289)
  * Replace Ubuntu-specific parts of the help (finally Closes: #564276)
  * Import translation updates from Launchpad
  * po/help: Add a German help translation, based on Ubuntu's one.
  * "Correctly" build the documentation translations.
  * po: Add fixed pt_BR Translations by Sergio Cipolla (Closes: #601755)
  
 -- Julian Andres Klode <jak@debian.org>  Mon, 22 Nov 2010 20:38:30 +0100

software-center (2.0.7debian5) unstable; urgency=medium

  * urgency=medium as the previous versions are unusable.
  * Update to new Xapian API (Closes: #596079); fix based on patch by
    Olly Betts.

 -- Julian Andres Klode <jak@debian.org>  Mon, 13 Sep 2010 08:19:45 +0200

software-center (2.0.7debian4) unstable; urgency=low

  * Determine CODENAME, DISTRO, RELEASE in version.py at run-time using
    lsb_release instead of defining them at build-time.

 -- Julian Andres Klode <jak@debian.org>  Tue, 10 Aug 2010 17:31:39 +0200

software-center (2.0.7debian3) unstable; urgency=low

  * Depend on lsb_release instead of recommending it; otherwise the program
    does not start at all (because it calls lsb_release).

 -- Julian Andres Klode <jak@debian.org>  Sun, 08 Aug 2010 16:00:14 +0200

software-center (2.0.7debian2) unstable; urgency=low

  * debian/changelog:
    - Change distribution of 2.0.7debian1 to unstable (the old one was wrong).
  * debian/control:
    - Do not recommend python-launchpad-integration (Closes: #592175)

 -- Julian Andres Klode <jak@debian.org>  Sun, 08 Aug 2010 14:46:19 +0200

software-center (2.0.7debian1) unstable; urgency=low

  * Merge versions 2.0.4, 2.0.5, 2.0.6, 2.0.7 from Ubuntu lucid:
    - Fixes Canonical Partners handling (Closes: #579663)
  * Merge the unbranded icons from trunk (revno 772) and use them.
  * Cherry pick revisions 789 and 790 from trunk, and replace our own hack.
    - data/unbranded-software-center.desktop.in:
      + add unbranded desktop file
    - softwarecenter/distro/__init__.py:
      + add new "get_app_name", "get_app_description" methods for easier
        branding of downstreams
  * Upgrade Standards-Version to 3.9.1, no changes needed.
  * setup.py: Handle + and - in changelog version number (Closes: #577108).
  * Update Czech translation (Closes: #590856) [although translations should
    normally be done in Launchpad for increased collaboration].

 -- Julian Andres Klode <jak@debian.org>  Mon, 02 Aug 2010 16:21:21 +0200

software-center (2.0.3debian1) unstable; urgency=low

  * Merge from Ubuntu lucid branch.
  * debian/control:
    - Only conflict with gnome-app-install versions << 1 (Closes: #579534).
  * softwarecenter/view/catview.py:
    - Use "Software Center" instead of "Ubuntu Software Center" on non-Ubuntu.
  * debian/rules:
    - Do not use "Debian Software Center", but "Software Center"; and replace
      "for Debian" with "for your system" (Closes: #573776)

 -- Julian Andres Klode <jak@debian.org>  Thu, 29 Apr 2010 18:40:59 +0200

software-center (1.1.21debian2) unstable; urgency=low

  * softwarecenter/db/database.py:
    - Fix a typo introduced in the last upload which caused exceptions.
  * Complete the python-apt API fixes (Closes: #572073).

 -- Julian Andres Klode <jak@debian.org>  Mon, 29 Mar 2010 16:18:50 +0200

software-center (1.1.21debian1) unstable; urgency=low

  * Merge with Ubuntu.
  * Backport from Ubuntu bzr:
    - softwarecenter/db/update.py:
      + fix crash when locale is not supported
    - apt-xapian-index-plugin/*.py:
      + fix deprecation warnings (LP: #548665)
  * softwarecenter/view/appview.py:
    - Add from __future__ import with_statement for Python 2.5
  * Update to new python-apt API and stop using has_key (Closes: #572073).
  * debian/control:
    - Depend on python-xdg (Closes: #574779)
    - Recommend software-properties-gtk (Closes: #575202)

 -- Julian Andres Klode <jak@debian.org>  Mon, 29 Mar 2010 14:51:38 +0200

software-center (1.1.11debian1) unstable; urgency=low

  * Merge 1.1.11.
  * softwarecenter/db/update.py:
    - Use logging.warning instead of logging.exception (Closes: #568941)
  * debian/rules:
    - Replace Ubuntu by Debian in some files when not building on Ubuntu.
    - Use system-software-install as the icon on Debian.
  * debian/control:
    - Build depend on dpkg-dev >= 1.15.1 to use dpkg-vendor.
  * softwarecenter/app.py:
    - When not running on Ubuntu, remove the Views menu.
  * softwarecenter/apt/aptcache.py:
    - Use dep_type_untranslated instead of UntranslatedDepType if available.

 -- Julian Andres Klode <jak@debian.org>  Thu, 11 Feb 2010 18:37:35 +0100

=== debian/control ===
Source: software-center
Section: gnome
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 7.0.50),
               dpkg-dev (>= 1.15.1~),
               lsb-release,
               gettext,
               intltool,
               po4a,
               python,
               python-central,
               python-distutils-extra,
               python-setuptools
Standards-Version: 3.9.1
XS-Python-Version: current
Vcs-Bzr: http://bazaar.launchpad.net/~juliank/software-center/debian/

Package: software-center
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         app-install-data (>= 0.4.0),
         gnome-icon-theme,
         gnome-menus,
         lsb-release,
         python-xapian,
         python-apt (>= 0.7.93.1),
         python-aptdaemon (>= 0.11+bzr342),
         python-aptdaemon-gtk,
         python-dbus,
         policykit-1,
         policykit-1-gnome | policykit-1-kde,
         python-gtk2,
         python-webkit,
         python-xdg,
         python-gconf,
         aptdaemon (>= 0.11+bzr322)
Recommends: apt-xapian-index, update-notifier, software-properties-gtk
Conflicts: software-store, gnome-app-install (<< 1)
Replaces: software-store, gnome-app-install
Provides: software-store, gnome-app-install
XB-Python-Version: ${python:Versions}
Description: Utility for browsing, installing, and removing applications
 The Software Center lets you browse and install thousands of free
 applications. You can view available applications by category, or
 search quickly by name or description. You can also examine the
 applications already installed, and remove those you no longer need.
 .
 To install or remove software using the Center, you need administrator
 access on the computer.

Package: gnome-app-install
Architecture: all
Depends: software-center
Section: oldlibs
Description: dummy upgrade package for gnome-app-install -> software-center
 This is a transitional package so that gnome-app-install users get
 software-center on upgrades. It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 %:
 	dh --with=python-central $@
+
+override_dh_auto_clean:
+	python setup.py build_i18n
+	dh_auto_clean
 
 # Install the modules in a private directory, as our applications are the
 # only ones using them.
@@ -12,10 +16,15 @@
 	# Move the scripts to $(SHARE) and relink them again later.
 	mv debian/tmp/usr/*bin/* debian/tmp/$(share)
 	rmdir debian/tmp/usr/*bin
+
+
+override_dh_install:
+	dh_install --fail-missing
+
 	dh_link $(share)/software-center usr/bin/software-center \
 	        $(share)/update-software-center usr/sbin/update-software-center
+
 	# Remove empty directories.
-	find debian/tmp/usr -type d -empty -delete
-	dh_install --fail-missing
+	find debian/*/usr -type d -empty -delete
 
 .PHONY: override_dh_auto_install

## software-center 3.0.4

=== debian/changelog ===
software-center (3.0.4) maverick; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/appview.py:
    - fix intermittent crash in _set_cursor (LP: #617004)
  
  [ Michael Vogt ]
  * Create the log directory not on the import paths.py. Otherwise
    if the user upgrades using a sudo based tool (like apt-get) he
    may end up with a root owned log (LP: #652151)
  * softwarecenter/paths.py
    - ensure we don't create directories in /home when running as
      root
    - When detecting a not writable cache dir, try to remove it
      so that it gets re-created later with the right permissions.
      That will undo the damage in bug LP: #652151

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 01 Oct 2010 10:40:08 +0200

software-center (3.0.3) maverick; urgency=low

  * softwarecenter/view/softwarepane.py:
    - Fix incorrect hide of the technical items search bar 
      (LP: #646584)
  * softwarecenter/backend/aptd.py, softwarecenter/utils.py:
    - Test if we have a Release.gpg file after a new for-pay repository 
      was added. In the initial update() the backend/libapt does not know
      yet if a signed repo should be expected. If the Release.gpg file
      is missing, re-try the operation. This should fix the 
      "unauthenticated" errors for the ricks-wallpapers purchase
  * softwarecenter/backend/aptd.py:
    - fix crash when the aptdaemon dies
    - improve logging for purchase processing
  * softwarecenter/log.py:
    - improve logging format
    - keep log in ~/.cache/software-center/software-center.log

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Sep 2010 21:36:36 +0200

software-center (3.0.2) maverick; urgency=low

  [ Kiwinote ]
  * softwarecenter/view/appdetailsview_gtk.py:
    - don't eat 'o ' character combinations within bullet points (LP: #646822)
      (test case: software-center deja-dup)
    - scale icon down when setting 'where is it' icon from path (LP: #645062)
      (test case: software-center briquolo (once installed))
  * softwarecenter/view/softwarepane.py:
    - don't offer to 'show 9k items' in searches, as we limit searches to 200
      items (LP: #648988)
      (test case: software-center search:library)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Sep 2010 22:43:18 +0200

software-center (3.0.1) maverick; urgency=low

  [ Michael Vogt ]
  * softwarecenter/db/update.py:
    - index the file even if "catalogedtime" is not yet written
      to /var/lib/apt-xapian-index/values (LP: #646018)
  * softwarecenter/view/purchasedialog.py:
    - set default window size to 640x400 (LP: #635215)
  
  [ Gary Lasker ]
  * softwarecenter/view/appdetailsview_gtk.py:
    - fix crash if iconname has no value (LP: #639934) 
  * softwarecenter/view/viewswitcher.py:
    - fix intermittent crash when using arrow keys to
      expand/collapse nodes in the left nav pane (LP: #644176) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Sep 2010 22:35:42 +0200

software-center (3.0) maverick; urgency=low

  [ Michael Vogt ]
  * softwarecenter/backend/restfulclient.py:
    - setup cachedir to avoid unneeded wadl downloading (LP: #645837)
  * softwarecenter/utils.py:
    - fix crash if desktop_file_path does not contain "applications"
      (LP: #641071)
  * softwarecenter/backend/aptd.py:
    - add keyfile for whitelisted channel (LP: #645120)
  * softwarecenter/view/appdetailsview.py:
    - fix crash when reinstalling previous purchase 
      (LP: #645843)
  * softwarecenter/backend/restfulclient.py, softwarecenter/db/update.py,
    - use gio instead of restfulclient to get the available purchase
      items and properly use the etag values provided to avoid uneeded
      bandwidth usage and load on the server (LP: #645837)
  * utils/update-software-center-agent:
    - trivial logging fix to make --debug fully work
  * debian/changelog:
    - its 3.0!
  
  [ Gary Lasker ]
  * softwarecenter/app.py,
    softwarecenter/backend/channel.py:
    - fix multiple instances of the "Previous Purchases"
      item in the left navigation pane (LP: #645439)
  * README: 
    - fix typo

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Sep 2010 11:16:44 +0200

software-center (2.1.22.4) maverick; urgency=low

  [ Gary Lasker ]
  * softwarecenter/app.py:
    - expand available node if unexpanded when choosing to reinstall
      previous purchases (LP: #643566)
  
  [ Michael Vogt ]
  * softwarecenter/db/application.py:
    - fix adding channels via apturl (LP: #643571)
    - allow displaying text only channel eula files (LP: #643571)
  * softwarecenter/gwibber_helper.py:
    - test for the gwibber-poster binary (that one is called when
      the share button is clicked) as well as gconf

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Sep 2010 16:02:24 +0200

software-center (2.1.22.3) maverick; urgency=low

  * Merge the right branch for the gksu fix for LP: #640906

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Sep 2010 10:50:34 +0200

software-center (2.1.22.2) maverick; urgency=low

  [ Gabor Kelemen ]
  * Fix invocation of gksu, use the correct .desktop file. 
    Fixes LP: #640906
  * Specify the translation domain for gtkbuilder dialog. 
    Fixes LP: #640969
  * Correct misplaced parentheses, so that l10n of strings will work. 
    Fixes LP: #640972

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Sep 2010 09:59:53 +0200

software-center (2.1.22.1) maverick; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/viewswitcher.py:
    - fix intermittent crash in on_cursor_changed (LP: #625030)
  
  [ Michael Vogt ]
  * data/featured.menu.in: 
    - updated to include armagetronad, calibre, pdfmod as discussed
      on the ubuntu-desktop list

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Sep 2010 17:41:47 +0200

software-center (2.1.22) maverick; urgency=low

  [ Michael Vogt ]
  * softwarecenter/backend/aptd.py:
    - fix enable_component()

  [ Mohamed Amine IL Idrissi ]
  * debian/control: add python-launchpadlib as Suggests (LP: #634324)


## software-center 3.0.10ubuntu0.1

=== debian/changelog ===
software-center (3.0.10ubuntu0.1) maverick-security; urgency=low

  * SECURITY UPDATE: MITM via incorrect ssl cert validation (LP: #874242)
    - softwarecenter/view/purchasedialog.py: Set the ssl-ca-file libsoup
      property so ssl cert validation works.
    - CVE-2011-3150

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Nov 2011 08:39:09 -0500

software-center (3.0.10) maverick-proposed; urgency=low

  * softwarecenter/utils.py,
    softwarecenter/backend/aptd.py,
    test/test_software_channels.py:
    - obfuscate private ppa details in the error log output and in
      the error dialog itself, add corresponding unit test
      (LP: #807745)

 -- Gary Lasker <gary.lasker@canonical.com>  Fri, 08 Jul 2011 18:01:01 -0400

software-center (3.0.9) maverick-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/db/update.py,
    test/test_appview.py,
    test/test_database.py:
    - track cataloged_time for items not in axi (e.g. for-purchase apps)
      so that they will show up in What's New, add/modify unit tests
      per the changes (LP: #684077)
    - fix icon display that have a "." in it (LP: #745942)
  * softwarecenter/db/update.py,
    softwarecenter/view/appdetailsview_gtk.py,
    test/test_downloader.py:
    - fix screenshot issues for apps for purchase and update unit
      test (LP: #791932)

  [ Olivier Tilloy ]
  * softwarecenter/apt/apthistory.py:
    - fix startup crash if the history file is corrupted (LP: #725186)

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 15 Jun 2011 22:35:43 -0400

software-center (3.0.8) maverick-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/utils.py,
    softwarecenter/view/appdetailsview_gtk.py:
    - disable find-it-in-the-menu under Unity (LP: #639701)

  [ Michael Vogt ]
  * softwarecenter/app.py:
    - on a invalid locale, reset the locale to "C" to avoid
      later crashes in the apthistory that uses strptime 
      (lp: #630248) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Feb 2011 09:16:49 +0100

software-center (3.0.7) maverick-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/backend/aptd.py:
    - fix crash during reload (LP: #673991)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Dec 2010 20:37:29 +0100

software-center (3.0.6) maverick-proposed; urgency=low

  * softwarecenter/backend/aptd.py:
    - when enabling a channel like "Canonical Partner", ensure
      that the initial reload of the package data works 
      (LP: #666956)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Oct 2010 15:25:43 -0400

software-center (3.0.5) maverick-proposed; urgency=low

  [ Andrea Cimitan ]
  * fix rendering with Ambiance theme (LP: #635208)

  [ Kiwinote ]
  * softwarecenter/app.py:
    - support launching apturls via alt+F2 in gnome (LP: #653889)
  * softwarecenter/db/update.py:
    - use 'X-GNOME-FullName' rather than 'Name', when available (LP: #651260)
      (test case: software-center cheese empathy evolution gwibber)
  * softwarecenter/view/appview.py:
    - unblock pkg if transaction is cancelled (LP: #652903)
      (test case: launch s-c with a list view, choose a pkg, click install,
       cancel auth, click install again, install should work as normal)
  * softwarecenter/view/availablepane.py:
    - don't show 'hide 1 technical item' in featured category (LP: #651236)
      (test case: browse to featured category (by clicking 'all'))
    - don't show 'hide technical items' in system category, as we don't
      have any apps to show (LP: #636854)
      (test case: browse to 'System' category)
  * softwarecenter/view/historypane.py:
    - correctly split pkgnames for pkg transactions dated before 28-ish July
      (LP: #651241)
      (test case: view transaction in history pane dated pre 28 July)
  * softwarecenter/view/viewswitcher.py:
    - emit 'transactions-changed' signal after connecting to the backend so
      that we display any pending transactions (LP: #652927)
      (see bug report for test case)
  
  [ Michael Vogt ]
  * softwarecenter/backend/aptd.py:
    - use keyserver.ubuntu.com on port 80 by default to avoid problems
      on machines that filter the port 11371
  * softwarecenter/backend/restfulclient.py, softwarecenter/enums.py:
    - use plain http for the "what-is-available" API call
  * send user default language for "/apps" and "/subscription" requests
    now that the server is ready for this

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Oct 2010 16:13:10 +0200

## software-center 3.0.12

=== debian/changelog ===
software-center (3.0.12) maverick-proposed; urgency=low

  * lp:~gary-lasker/software-center/icon-data-for-3.0:
    - remove the need for inline icon data from the agent, instead
      download icons directly using the provided URL (LP: #914054)

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 11 Jan 2012 23:29:45 -0500

software-center (3.0.11) maverick-proposed; urgency=low

  * cherry pick fix to allow webkit to create additional windows
    during the purchase - this is needed to support PayPal in the
    purchase process (LP: #893988)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Nov 2011 09:48:13 +0100

=== debian/control ===
Source: software-center
Section: gnome
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
               dpkg-dev (>= 1.15.1~),
               lsb-release,
               gettext,
               intltool,
               po4a,
               python,
               python-central,
               python-distutils-extra,
               python-setuptools
Standards-Version: 3.8.4
XS-Python-Version: current
Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/3.0
Homepage: https://launchpad.net/software-center

Package: software-center
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         app-install-data (>= 0.4.0),
         humanity-icon-theme,
         gnome-menus,
         python-xapian,
         python-apt (>= 0.7.93.1),
         python-aptdaemon (>= 0.31+bzr493),
         python-aptdaemon-gtk,
         python-debian (>= 0.1.15),
         python-dbus,
         policykit-1,
         policykit-1-gnome | policykit-1-kde,
         python-gtk2,
         python-webkit,
         python-xdg,
         python-gconf,
         python-gmenu,
         aptdaemon (>= 0.31),
	 python-lazr.restfulclient,
         ubuntu-sso-client (>= 0.99.6)
Recommends: lsb-release, python-launchpad-integration, 
            apt-xapian-index (>= 0.38ubuntu1), update-notifier,
            software-properties-gtk, sessioninstaller
Conflicts: software-store, gnome-app-install (<< 1)
Replaces: software-store, gnome-app-install
Provides: software-store, gnome-app-install
Suggests: python-launchpadlib
XB-Python-Version: ${python:Versions}
Description: Utility for browsing, installing, and removing applications
 The Ubuntu Software Center lets you browse and install thousands of 
 free applications available for Ubuntu. You can view available 
 applications by category, or search quickly by name or description. 
 You can also examine the applications already installed, and remove
 those you no longer need.
 .
 To install or remove software using the Center, you need administrator
 access on the computer.

=== debian/rules ===
#!/usr/bin/make -f
share:=usr/share/software-center

%:
	dh --with=python-central $@

# Install the modules in a private directory, as our applications are the
# only ones using them.
override_dh_auto_install:
	dh_auto_install -- --install-lib /usr/share/software-center
	dh_installmime -i
	rm -r debian/software-center/usr/share/software-center/*.egg-info
	# Move the scripts to $(SHARE) and relink them again later.
	mv debian/software-center/usr/*bin/* debian/software-center/$(share)
	rmdir debian/software-center/usr/*bin


override_dh_install:
	dh_install --fail-missing

	dh_installmime -i

	dh_link $(share)/software-center usr/bin/software-center \
	        $(share)/update-software-center usr/sbin/update-software-center

	# Drop Ubuntu stuff if not on Ubuntu
	# TODO: We should do this on the 'upstream' level, e.g. in setup.py.
	set -e; if ! dpkg-vendor --derives-from Ubuntu; then \
		cd debian/software-center; \
		cd usr/share/applications; \
		mv ubuntu-software-center.desktop software-center.desktop; \
		cd ../icons/; \
		rm hicolor/*/apps/softwarecenter.*; \
		for size in 16x16 24x24 32x32; do \
			ln -sf ../../../gnome/$$size/apps/system-software-install.png \
			       hicolor/$$size/apps/softwarecenter.png; \
		done; \
		ln -sf ../../../gnome/scalable/apps/system-software-install.svg \
		       hicolor/scalable/apps/softwarecenter.svg; \
	fi;

	# Remove empty directories.
	find debian/*/usr -type d -empty -delete

.PHONY: override_dh_auto_install
